Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class AuthConstraintTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.AuthConstraintTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AuthConstraintType<T>

    public class AuthConstraintTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AuthConstraintType<T>

This class implements the `auth-constraintType` xsd type

Original Documentation:

The auth-constraintType indicates the user roles that
should be permitted access to this resource
collection. The role-name used here must either correspond
to the role-name of one of the security-role elements
defined for this web application, or be the specially
reserved role-name "*" that is a compact syntax for
indicating all roles in the web application. If both "*"
and rolenames appear, the container interprets this as all
roles. If no roles are defined, no user is allowed access
to the portion of the web application described by the
containing security-constraint. The container matches
role names case sensitively when determining access.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AuthConstraintTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AuthConstraintTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getRoleNameList()` Returns all `role-name` elements
`AuthConstraintType<T>` | `removeAllDescription()` Removes the `description` element
`AuthConstraintType<T>` | `removeAllRoleName()` Removes the `role-name` element
`AuthConstraintType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`AuthConstraintType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`AuthConstraintType<T>` | `setRoleName(java.lang.String roleName)` Creates a new `role-name` element
`AuthConstraintType<T>` | `setRoleNameList(java.lang.String... values)` Creates for all String objects representing `role-name` elements, a new `role-name` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthConstraintTypeImpl

    public AuthConstraintTypeImpl(T t,
                                  java.lang.String nodeName,
                                  org.jboss.shrinkwrap.descriptor.spi.Node node)

### AuthConstraintTypeImpl

    public AuthConstraintTypeImpl(T t,
                                  java.lang.String nodeName,
                                  org.jboss.shrinkwrap.descriptor.spi.Node node,
                                  org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public AuthConstraintType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `AuthConstraintType<T>`
  Returns:
    the current instance of `AuthConstraintType`

### setDescriptionList

    public AuthConstraintType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `AuthConstraintType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `AuthConstraintType`

### removeAllDescription

    public AuthConstraintType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `AuthConstraintType<T>`
  Returns:
    the current instance of `AuthConstraintType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `AuthConstraintType<T>`
  Returns:
    list of `description`

### setRoleName

    public AuthConstraintType<T> setRoleName(java.lang.String roleName)

  Creates a new `role-name` element

  Specified by:
    `setRoleName` in interface `AuthConstraintType<T>`
  Returns:
    the current instance of `AuthConstraintType`

### setRoleNameList

    public AuthConstraintType<T> setRoleNameList(java.lang.String... values)

  Creates for all String objects representing `role-name` elements, a new `role-name` element

  Specified by:
    `setRoleNameList` in interface `AuthConstraintType<T>`
  Parameters:
    `list` - of `role-name` objects
  Returns:
    the current instance of `AuthConstraintType`

### removeAllRoleName

    public AuthConstraintType<T> removeAllRoleName()

  Removes the `role-name` element

  Specified by:
    `removeAllRoleName` in interface `AuthConstraintType<T>`
  Returns:
    the current instance of `AuthConstraintType`

### getRoleNameList

    public java.util.List<java.lang.String> getRoleNameList()

  Returns all `role-name` elements

  Specified by:
    `getRoleNameList` in interface `AuthConstraintType<T>`
  Returns:
    list of `role-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD